#include "my_spi_header.h"

void SPI_init()
{
  pinMode(CSPIN, OUTPUT);
  SPI.begin(SCK, MISO, MOSI, CSPIN); // sck, miso, mosi, ss (ss can be any GPIO)
  pinMode(CSPIN, OUTPUT);
  digitalWrite(CSPIN, HIGH);  
  Serial.println("SPI Init Done!");
}

void SPI_transfer(unsigned char c)
{
    digitalWrite(CSPIN, LOW);
    SPI.transfer(c);
    digitalWrite(CSPIN, HIGH);
    delay(2);
    //Serial.print(c);
}